use std::sync::Mutex;
use once_cell::sync::Lazy;

#[derive(Clone)]
pub struct State {
    name: String,
}

impl State {
    pub fn name(self) -> String {
        self.name
    }

    pub fn set_name(&mut self, name: String) {
        self.name = name
    }
}

pub static STATE: Lazy<Mutex<State>> = Lazy::new(||
    Mutex::new(
        State { name: String::from("world") }
    )
);
